Bug 145339 - agetty locks serial console access
agetty locks serial console access
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: util-linux (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-17 11:46 EST by Francisco Jorge
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-17 16:35:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Francisco Jorge 2005-01-17 11:46:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
I connect to the serial port of my Linux machine via a cisco 2500 
router.

When I login and I press Ctrl+A and then Ctrl+S, the serial console 
gets locked and there is no way to recover it.

With mgetty this does not happen.

Version-Release number of selected component (if applicable):
util-linux-2.11y-31.1

How reproducible:
Always

Steps to Reproduce:
1.Login to machine through serial console
2.Press Ctrl+A and then Ctrl+S
 

Actual Results:  Console no longer responds

Expected Results:  Nothing should happen

Additional info:

This is the configuration line for the serial console:

co:2345:respawn:/sbin/agetty -L ttyS0 115200 vt100

I have also tried without the -L option.

With this configuration on mgetty, the problem does not appear-:

co:2345:respawn:/sbin/mgetty -r -s 115200 -p "Login: " ttyS0
Comment 1 Elliot Lee 2005-01-17 16:35:52 EST
'Ctrl-S' is the signal to the system to stop sending new data to the
terminal.

Pressing 'Ctrl-Q' should "unfreeze" things.

This is normal and expected behaviour. I don't know why it doesn't
work with mgetty - that sounds like the real bug.
Comment 2 Francisco Jorge 2005-01-18 04:01:57 EST
You are right. Ctrl-Q unfreezes the console. This was probably the 
only combination of keys I did not try.

Are these control codes documented anywhere?ç

Thanks,
Fran

Note You need to log in before you can comment on or make changes to this bug.